Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampForMaya::TranslationCharacterMesh Class Reference

変換キャラクタメッシュ More...

`#include <TranslationCharacterMesh.h>`

Inheritance diagram for LampForMaya::TranslationCharacterMesh:

List of all members.

## Public Member Functions
virtual | ~TranslationCharacterMesh ()
| デストラクタ
virtual bool | isCharacterMesh () const
| キャラクタメッシュかどうか
virtual bool | logicalCheck ()
| 論理チェック
virtual bool | convertToLamp (Scene *scene)
| Lampへの変換.
virtual void | addIndex (int index)
| インデックスの追加
virtual bool | setWeights (int boneCount, float *weights, int *weightCounts)
| ウェイトの設定
## Protected Member Functions
| TranslationCharacterMesh (const String &initializeName)
| コンストラクタ
virtual Mesh * | convertCharacterMesh (Scene *scene)
| キャラクタメッシュへの変換
## Friends
class | TranslationMeshManager

## Detailed Description

変換キャラクタメッシュ

Definition at line 41 of file TranslationCharacterMesh.h.

## Constructor & Destructor Documentation

LampForMaya::TranslationCharacterMesh::TranslationCharacterMesh | ( | const String & | initializeName | ) | `[protected]`

  | コンストラクタ Parameters:
  initializeName | 初期化する名前
Definition at line 36 of file TranslationCharacterMesh.cpp.

## Member Function Documentation

virtual void LampForMaya::TranslationCharacterMesh::addIndex | ( | int | index | ) | `[inline, virtual]`

  | インデックスの追加 Parameters:
  index | 追加するインデックス
Definition at line 75 of file TranslationCharacterMesh.h. Referenced by LampForMaya::TranslationCharacterModel::analyzeMesh().

Mesh * LampForMaya::TranslationCharacterMesh::convertCharacterMesh | ( | Scene * | scene | ) | `[protected, virtual]`

  | キャラクタメッシュへの変換 Parameters:
  scene | シーン
Returns: メッシュ Definition at line 125 of file TranslationCharacterMesh.cpp. References LampForMaya::TranslationMesh::colors_, LampForMaya::TranslationMesh::name_, LampForMaya::TranslationMesh::normals_, LampForMaya::TranslationMesh::positions_, LampForMaya::TranslationMesh::uvs_, and LampForMaya::TranslationMesh::uvSetCount_. Referenced by convertToLamp().

bool LampForMaya::TranslationCharacterMesh::convertToLamp | ( | Scene * | scene | ) | `[virtual]`

  | Lampへの変換. Parameters:
  scene | シーン
Returns: 成功すればtrue Implements LampForMaya::TranslationMesh. Definition at line 108 of file TranslationCharacterMesh.cpp. References convertCharacterMesh(), LampForMaya::TranslationMesh::materialName_, MayaErrorOut, and LampForMaya::TranslationMesh::name_.

virtual bool LampForMaya::TranslationCharacterMesh::isCharacterMesh | ( |  | ) | const`[inline, virtual]`

| キャラクタメッシュかどうか Returns: キャラクタメッシュならtrue Reimplemented from LampForMaya::TranslationMesh. Definition at line 53 of file TranslationCharacterMesh.h.

bool LampForMaya::TranslationCharacterMesh::logicalCheck | ( |  | ) | `[virtual]`

| 論理チェック Returns: 成功すればtrue Implements LampForMaya::TranslationMesh. Definition at line 92 of file TranslationCharacterMesh.cpp. References MayaErrorOut, LampForMaya::TranslationMesh::name_, LampForMaya::TranslationMesh::positions_, and LampForMaya::TranslationMesh::vertexLogicalCheck().

bool LampForMaya::TranslationCharacterMesh::setWeights | ( | int | boneCount,
|  | float * | weights,
|  | int * | weightCounts
| ) | `[virtual]`

  | ウェイトの設定 Parameters:
  boneCount | ボーン数
  weights | ウェイト
  weightCounts | 各頂点のウェイト数
Definition at line 49 of file TranslationCharacterMesh.cpp. References MayaErrorOut. Referenced by LampForMaya::TranslationCharacterModel::analyzeWeight().

The documentation for this class was generated from the following files:

- TranslationCharacterMesh.h
- TranslationCharacterMesh.cpp